# Uses of Interface
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.IConfigurationUIFactory

Packages that use IConfigurationUIFactory
Package
Description
org.eclipse.emf.compare.rcp.ui
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

## Uses of IConfigurationUIFactory in org.eclipse.emf.compare.rcp.ui

Methods in org.eclipse.emf.compare.rcp.ui that return types with arguments of type IConfigurationUIFactory
Modifier and Type
Method
Description
`Map<String,IConfigurationUIFactory>`
EMFCompareRCPUIPlugin.`getMatchEngineConfiguratorRegistry()`
Get the Match Engine Configurator Registry

## Uses of IConfigurationUIFactory in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui

Constructor parameters in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui with type arguments of type IConfigurationUIFactory
Modifier
Constructor
Description
``
`ConfigurationUIRegistryEventListener(String namespace, String extensionPointID, org.eclipse.core.runtime.ILog log, Map<String,IConfigurationUIFactory> registry, IItemRegistry<?> registryOfConfiguredItem)`
Constructor.

## Uses of IConfigurationUIFactory in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match

Classes in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match that implement IConfigurationUIFactory
Modifier and Type
Class
Description
`class`
`DefaultMatchEngineConfiguatorUIFactory`
IConfiguratorUIFactory for `DefaultRCPMatchEngineFactory`

## Uses of IConfigurationUIFactory in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl with parameters of type IConfigurationUIFactory
Modifier and Type
Method
Description
`void`
InteractiveUIContent.`addConfigurator(String id, IConfigurationUIFactory configuratorfactory, org.eclipse.jface.preference.IPreferenceStore store)`
Adds a configuration to this Interactive content.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl with type arguments of type IConfigurationUIFactory
Modifier and Type
Method
Description
`InteractiveUIContent.InteractiveUIBuilder<T>`
InteractiveUIContent.InteractiveUIBuilder.`setConfiguratorUIRegistry(Map<String,IConfigurationUIFactory> configuratorUIRegistry)`
Registry of `IConfigurationUIFactory` used to fill the configuration composite.